For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
            • GETList Shopping Lists
            • POSTCreate Shopping List
            • PUTUpdate Shopping List
            • GETGet Shopping List ID and Name
            • POSTAdd Shopping List Items
            • PUTUpdate Shopping List Items
            • GETList Shopping List Items Extension
            • DELDelete Shopping List Item
            • DELDelete Shopping List
            • POSTDuplicate Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontShopping List

List Shopping Lists

GET
https://api-b2b.bigcommerce.com/api/v2/shoppinglists
GET
/api/v2/shoppinglists
$curl https://api-b2b.bigcommerce.com/api/v2/shoppinglists \
> -H "Authorization: Bearer <token>"
200example-1
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {
5 "list": [
6 {
7 "id": 441,
8 "name": "shopping list name",
9 "status": 0,
10 "description": "Shopping list desc",
11 "updatedAt": 1622601337,
12 "createdAt": 1622601337,
13 "totalCount": 0,
14 "customerInfo": {
15 "firstName": "Jo",
16 "lastName": "Sweet",
17 "userId": 7831,
18 "email": "example@example.com"
19 }
20 }
21 ],
22 "pagination": {
23 "totalCount": 1,
24 "offset": 0,
25 "limit": 20
26 }
27 }
28}
Get all shopping lists. Equivalent Storefront GraphQL API Query: `shoppingLists`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Shopping List

Next

Create Shopping List

Built with

Get all shopping lists. Equivalent Storefront GraphQL API Query: shoppingLists. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Query parameters

offsetstringOptionalDefaults to 0
Pagination offset
limitstringOptionalDefaults to 20
Pagination limit
isShowAllstringOptionalDefaults to 1
If show all
orderBystringOptionalDefaults to -created_at
Order by

Response

OK
codedouble
messagestring>=1 character
dataobject